Subject: Re: linux-next: build failure after merge of the akpm-current tree

From: Laurent Dufour <[email-masked]>
Date: Mon, 26 Oct 2015 09:18:14 +0100

On 21/10/2015 12:08, Michael Ellerman wrote:
> On Wed, 2015-10-21 at 16:59 +1100, Stephen Rothwell wrote:
>> Hi Andrew,
>>
>> After merging the akpm-current tree, today's linux-next build (powerpc
>> allnoconfig) failed like this:
> 
>> arch/powerpc/include/asm/pgtable.h: In function 'pte_pgprot':
>> arch/powerpc/include/asm/pte-common.h:104:18: error: '_PAGE_SOFT_DIRTY' undeclared (first use in this function)
>>      _PAGE_EXEC | _PAGE_SOFT_DIRTY)
> 
> That's probably my fault, Andrew asked if we wanted to take it via powerpc and
> I thought "yes" but never actually replied.
> 
> Andrew can you drop this one and we'll take it via powerpc?
> 
> It might take a while to actually hit the powerpc tree because Aneesh is doing
> a lot of work in this area at the moment.
> 
> Without knowing the code, the change logs make me think we probably also need
> to take the other two from Laurent for it to make sense. Laurent?

Hi Michael,

Sorry for the late answer, I was off a couple of days last week.

The other two patches are not specific to powerpc and, as mentioned by
Aneesh, they can go to the -mm tree.

Cheers,
Laurent.